Subject: Re: [PATCH] doc: explain the impact of stash.index on --autostash options

From: Ben Knoble <[email-masked]>
Date: Sun, 12 Oct 2025 14:04:22 -0400

> 
> Le 11 oct. 2025 à 13:29, Junio C Hamano <[email-masked]> a écrit :
> 
> "D. Ben Knoble" <[email-masked]> writes:
> 
>>> On Thu, Oct 9, 2025 at 6:55 PM Kristoffer Haugsbakk
>>> <[email-masked]> wrote:
>>> 
>>> This is over-specified IMO. Like mentioned this patch could be applied
>>> on top of commit 9842c0c749. Then that merge commit will not be
>>> reachable from this resulting commit.
>>> 
>>> I also don’t see the point of mentioning when things were merged in in
>>> the commit message.
> 
> Yeah, that is less useful to me (there is a tool, given a commit
> object, to figure out at which merge it got merged to the mainline);
> I didn't think of a way the information can be useful to general
> readers.  If the mainline merge was a release or more ago, then it
> may make sense to say "commit X, which appeared in version Y, was
> broken in such and such way, and here is to fix its breakage"

It’s not clear to me if you’d like to see a v2 or not, but given you were already happy to merge in the latest what’s cooking, I don’t mind not sending one ;)